%define major 1
%define libname %mklibname xevie %{major}
%define develname %mklibname xevie -d

Name: libxevie
Summary:  X Event Interceptor Library
Version: 1.0.3
Release: %mkrel 6
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXevie-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Event Interceptor Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary: X Event Interceptor Library
Group: Development/X11
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
X Event Interceptor Library.

%files -n %{libname}
%{_libdir}/libXevie.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xevie-static-devel < 1.0.3-5

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXevie.so
%{_libdir}/pkgconfig/xevie.pc
%{_includedir}/X11/extensions/Xevie.h
%{_mandir}/man3/Xevie*.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXevie-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-6.mga4
+ Revision: 532803
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.3-5.mga4
+ Revision: 469633
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.3-4.mga3
+ Revision: 397155
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 358545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 22 2011 fwang <fwang> 1.0.3-2.mga2
+ Revision: 170792
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 6650
- imported package libxevie


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 591817
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-7mdv2010.1
+ Revision: 520965
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-6mdv2010.0
+ Revision: 425891
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdv2009.0
+ Revision: 229750
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2008.1
+ Revision: 156502
- Updated BuildRequires and resubmit package.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 52772
- correct scriplets

* Mon Jul 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 52756
- new version
- new devel library policy
- spec file clean


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

